;; Copyright (C) 2022 Ivan Polyakov
;;
;; This file is part of vilor's website.
;;
;; Vilor's website is free software: you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation, either version 3 of the License, or
;; (at your option) any later version.
;;
;; Vilor's website is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.
;;
;; You should have received a copy of the GNU General Public License
;; along with this program.  If not, see <https://www.gnu.org/licenses/>.

(define footer-links
  '(("http://validator.w3.org/check?uri=referer" "XHTML 1.0")
    ("https://call-cc.org/" "Made with Chicken Scheme")
    ("http://git.vilor.one:8079/vilor/website/" "Source code")
    ("http://www.anybrowser.org/campaign/" "Any Browser")))

(define footer
  `(footer (@ (class "footer"))
        (div (@ (class "footer__authors"))
             (div "Content: "
                  (a (@ (href "/contacts.xhtml")) "Ivan Polyakov"))
             (div "Design: "
                  (a (@ (href "https://t.me/olnaolna")) "Olga Revenkova")))

        (div (@ (class "footer__links"))
             ,(let ((idx -1))
                (map (lambda (l)
                       (set! idx (+ idx 1))
                       `(,(if (> idx 0) '(" | ") '())
                         (a (@ (href ,(car l))) ,(cdr l))))
                     footer-links)))))

'()
