# Copyright (C) 2022 Ivan Polyakov
#
# This file is part of vilor's website.
#
# Vilor's website is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Vilor's website is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
CC=cc
CFLAGS=-ansi -pedantic
LDFLAGS=-lfcgi

CXX=c++
CXXFLAGS=-std=c++17 -pedantic

DEBUG=
ifdef DEBUG
	CFLAGS+=-Wall -g -DDEBUG_MODE
	CXXFLAGS+=-Wall -g -DDEBUG_MODE
else
	CFLAGS+=-O3
	CXXFLAGS+=-O3
endif
